Bug 1219368 (CVE-2015-3429) - CVE-2015-3429 wordpress: two cross-site scripting flaws fixed in 4.2.2
Summary: CVE-2015-3429 wordpress: two cross-site scripting flaws fixed in 4.2.2
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2015-3429
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1219369 1219370
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-07 07:54 UTC by Martin Prpič
Modified: 2019-09-29 13:32 UTC (History)
2 users (show)

Fixed In Version: wordpress 4.2.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:41:04 UTC


Attachments (Terms of Use)

Description Martin Prpič 2015-05-07 07:54:24 UTC
Two cross-site scripting flaws were found in WordPress:

* The Genericons icon font package, which is used in a number of popular themes and plugins, contained an HTML file vulnerable to a cross-site scripting attack.

* WordPress versions 4.2 and earlier are affected by a critical cross-site scripting vulnerability, which could enable anonymous users to compromise a site.

Both of these issues have been fixed in the 4.2.2 release of WordPress.

Upstream advisory:

https://wordpress.org/news/2015/05/wordpress-4-2-2/

Comment 1 Martin Prpič 2015-05-07 07:55:03 UTC
Created wordpress tracking bugs for this issue:

Affects: fedora-all [bug 1219369]
Affects: epel-all [bug 1219370]

Comment 2 Fedora Update System 2015-05-20 18:47:22 UTC
wordpress-4.2.2-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-05-20 18:49:12 UTC
wordpress-4.2.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-05-26 03:52:37 UTC
wordpress-4.2.2-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-05-26 21:25:07 UTC
wordpress-4.2.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-05-26 21:25:25 UTC
wordpress-4.2.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-05-26 21:31:26 UTC
wordpress-4.2.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Product Security DevOps Team 2019-06-08 02:41:04 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.